## logapp 0.8

=== Makefile ===
# Makefile for Logapp
#
# Copyright (C) 2007 Michael Brunner <mibru@gmx.de>

TARGET = logapp
MANPAGE = logapp.1
SYMLINKS = logmake logsvn logcvs
PREFIX = /usr/local/
DESTDIR = $(PREFIX)bin/
MANDIR = $(PREFIX)share/man/man1/

CC = gcc
CFLAGS = -Wall -O2

LINK = gcc
LINKFLAGS = -s 

OBJECTS = main.o configuration.o logfile.o capture.o

DEPENDENCIES = .dependencies

LIBS = -lpthread -lutil
 
all: $(DEPENDENCIES) $(TARGET)

$(TARGET): $(OBJECTS) 
	$(LINK) $(LINKFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS)

install: all install_links
	install -d $(DESTDIR)
	install -t $(DESTDIR) $(TARGET)
	install -d $(MANDIR)
	install -m 644 -t $(MANDIR) $(MANPAGE)

install_links:
	for L in $(SYMLINKS); do ln -s -f $(TARGET) $(DESTDIR)$$L ; done

uninstall: deinstall

deinstall: remove_links
	rm -f $(DESTDIR)$(TARGET)
	rm -f $(MANDIR)$(MANPAGE)

remove_links:
	for L in $(SYMLINKS); do rm -f $(DESTDIR)$$L ; done

clean:
	rm -f *.o $(TARGET) $(DEPENDENCIES)

distclean: clean
	rm -f *.log tags
	cd doc && make distclean

$(DEPENDENCIES):
	@$(CC) -MM *.c > $(DEPENDENCIES)

.PHONY: all clean distclean

-include $(DEPENDENCIES)

## logapp 0.9

=== doc/Makefile ===
# Makefile for Logapp documentation
#
# Copyright (C) 2007 Michael Brunner <mibru@gmx.de>

MANDESTDIR = /usr/local/share/man/man1/
HTMLXSL = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/html

all: html text manpage

html:
	xsltproc -o manpage.html $(HTMLXSL)/docbook.xsl manpage.xml

manpage:
	docbook2x-man manpage.xml

text: html
	lynx -dump manpage.html > manpage.txt

install: manpage
	cp logapp.1 ../
	cp logapp.1 $(MANDESTDIR)

clean:
	rm -f *.log tags *.html *.1 *.gz *.txt

distclean: clean

.PHONY: all clean distclean

## logapp 0.10

=== doc/Makefile ===
# Makefile for Logapp documentation
#
# Copyright (C) 2007-2008 Michael Brunner <mibru@gmx.de>

MANDESTDIR = /usr/local/share/man/man1/
HTMLXSL = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/html

all: html text manpage

html:
	xsltproc $(HTMLXSL)/docbook.xsl manpage.xml \
		| sed -e "s/&#8722;/-/g" > manpage.html

manpage:
	docbook2x-man --encoding "us-ascii" manpage.xml

text: html
	lynx -dump manpage.html > manpage.txt

install: manpage
	cp logapp.1 ../
	cp logapp.1 $(MANDESTDIR)

clean:
	rm -f *.log tags *.html *.1 *.gz *.txt

distclean: clean

.PHONY: all clean distclean

## logapp 0.12

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 MANDIR = $(PREFIX)share/man/man1/
 
 CC = gcc
-CFLAGS = -Wall -O2
+CFLAGS = -Wall -Wextra -O2
 
 LINK = gcc
 LINKFLAGS = -s

=== doc/Makefile ===
# Makefile for Logapp documentation
#
# Copyright (C) 2007-2008 Michael Brunner <mibru@gmx.de>

MANDESTDIR = /usr/local/share/man/man1/
HTMLXSL = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/html
MANPAGE = logapp.1

all: html text manpage

html:
	xsltproc $(HTMLXSL)/docbook.xsl manpage.xml \
		| sed -e "s/&#8722;/-/g" > manpage.html

manpage:
	docbook2x-man --to-stdout --encoding "us-ascii" manpage.xml |\
	sed "1,1s/'/./" > $(MANPAGE)

text: html
	lynx -dump manpage.html > manpage.txt

install: manpage
	cp $(MANPAGE) ../
	cp $(MANPAGE) $(MANDESTDIR)

clean:
	rm -f $(MANPAGE) *.log tags *.html *.gz *.txt

distclean: clean

.PHONY: all clean distclean

## logapp 0.14

=== Makefile ===
# Makefile for Logapp
#
# Copyright (C) 2007-2009 Michael Brunner <mibru@gmx.de>

TARGET = logapp
MANPAGE = logapp.1
VERSION = 0.14

# Configuration options:
SUPPORT_PTY = 1
USE_THREADS = 1
BUILD_STATIC = 0

# Add architecture prefix here or use CROSS_COMPILE environment variable to
# specify a cross compiler
CROSS_COMPILE ?=

SYMLINKS = logmake logsvn logcvs
PREFIX = /usr/local/
DESTDIR = $(PREFIX)bin/
MANDIR = $(PREFIX)share/man/man1/

CC = $(CROSS_COMPILE)gcc
DEFS    = -DSVN_REVISION='"$(shell svnversion -cn . 2>/dev/null \
	| sed -e "s/.*://" -e "s/\([0-9]*\).*/\1/")"' \
	 -DVERSION='"$(VERSION)"' \
	 -DEXECUTABLE='"$(TARGET)"' \
	 -DCONFIG_SUPPORT_PTY="$(SUPPORT_PTY)" \
	 -DCONFIG_USE_THREADS="$(USE_THREADS)"
 
CFLAGS = -Wall -Wextra -O2 $(DEFS)

LINK = $(CROSS_COMPILE)gcc
LINKFLAGS = -s 

ifeq ($(BUILD_STATIC),1)
	LINKFLAGS += --static
endif

OBJECTS = main.o configuration.o logfile.o capture.o

DEPENDENCIES = .dependencies
EXTRADEPS = Makefile

LIBS = 
ifeq ($(SUPPORT_PTY),1)
	LIBS += -lutil
endif
ifeq ($(USE_THREADS),1)
	LIBS += -lpthread
endif

all: $(DEPENDENCIES) $(TARGET)

$(TARGET): $(OBJECTS)
	$(LINK) $(LINKFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS)

install: all install_links
	install -d $(DESTDIR)
	install -t $(DESTDIR) $(TARGET)
	install -d $(MANDIR)
	install -m 644 -t $(MANDIR) $(MANPAGE)

install_links:
	for L in $(SYMLINKS); do ln -s -f $(TARGET) $(DESTDIR)$$L ; done

uninstall: deinstall

deinstall: remove_links
	rm -f $(DESTDIR)$(TARGET)
	rm -f $(MANDIR)$(MANPAGE)

remove_links:
	for L in $(SYMLINKS); do rm -f $(DESTDIR)$$L ; done

clean:
	rm -f *.o $(TARGET) $(DEPENDENCIES)
	@make -C doc clean

distclean: clean
	rm -f *.log tags

man:
	@$(MAKE) -C doc update-main

$(DEPENDENCIES):
	@$(CC) -MM *.c | sed -e 's/$$/ $(EXTRADEPS)/' > $(DEPENDENCIES)

.PHONY: all clean distclean deinstall uninstall install install_links \
	remove_links man

-include $(DEPENDENCIES)

## logapp 0.15

=== Makefile ===
# Makefile for Logapp
#
# Copyright (C) 2007-2010 Michael Brunner <mibru@gmx.de>

TARGET = logapp
MANPAGE = logapp.1
VERSION = 0.15

### Configuration options: ###

# Enable support for pseudo terminal interface on stdout
# -> enables --usepty runtime option
SUPPORT_PTY = 1

# Use different threads for stdout and stderr handling
USE_THREADS = 1

# Build static binary
BUILD_STATIC = 0

# Add architecture prefix here or use CROSS_COMPILE environment variable to
# specify a cross compiler
CROSS_COMPILE ?=

# Set this to 1 to create a debug build of logapp (can also be set as
# environment variable)
DEBUG_BUILD ?= 0

# This defines which symlinks are created during the installation
SYMLINKS = logmake logsvn logcvs

# Installation directories are defined here
PREFIX ?= /usr/local
DESTDIR = $(PREFIX)/bin/
MANDIR = $(PREFIX)/share/man/man1/

# Tool definitions
INSTALL = install -c

### END OF CONFIGURATION SECTION ###

# If diet is defined with the CROSS_COMPILE variable be sure to add a space
# so the code is linked against the dietlibc
ifeq ($(CROSS_COMPILE), diet)
	CROSS_COMPILE = diet 
	LINK_DIETLIBC = 1
endif

CC = $(CROSS_COMPILE)gcc
DEFS    = -DSVN_REVISION='"$(shell svnversion -cn . 2>/dev/null \
	| sed -e "s/.*://" -e "s/\([0-9]*\).*/\1/")"' \
	 -DVERSION='"$(VERSION)"' \
	 -DEXECUTABLE='"$(TARGET)"' \
	 -DCONFIG_SUPPORT_PTY="$(SUPPORT_PTY)" \
	 -DCONFIG_USE_THREADS="$(USE_THREADS)"
 
CFLAGS = -Wall -Wextra $(DEFS)

# Do not optimize code when creating a debug build
ifeq ($(DEBUG_BUILD),1)
	CFLAGS += -g
else
	CFLAGS += -O2
endif

LINK = $(CROSS_COMPILE)gcc
LINKFLAGS =  

ifeq ($(BUILD_STATIC),1)
	LINKFLAGS += --static
endif
  
# Strip unless we are creating a debug build
ifneq ($(DEBUG_BUILD),1)
	LINKFLAGS += -s
endif

OBJECTS = main.o configuration.o logfile.o capture.o

DEPENDENCIES = .dependencies
EXTRADEPS = Makefile

LIBS = 
ifeq ($(SUPPORT_PTY),1)
ifneq ($(LINK_DIETLIBC),1)
	LIBS += -lutil
endif
endif
ifeq ($(USE_THREADS),1)
	LIBS += -lpthread
endif

all: $(DEPENDENCIES) $(TARGET)

$(TARGET): $(OBJECTS)
	$(LINK) $(LINKFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS)

install: all install_links
	$(INSTALL) -d $(DESTDIR)
	$(INSTALL) $(TARGET) $(DESTDIR) 
	$(INSTALL) -d $(MANDIR)
	$(INSTALL) -m 644 $(MANPAGE) $(MANDIR) 

install_links:
	for L in $(SYMLINKS); do ln -s -f $(TARGET) $(DESTDIR)$$L ; done

uninstall: deinstall

deinstall: remove_links
	rm -f $(DESTDIR)$(TARGET)
	rm -f $(MANDIR)$(MANPAGE)

remove_links:
	for L in $(SYMLINKS); do rm -f $(DESTDIR)$$L ; done

clean:
	rm -f *.o $(TARGET) $(DEPENDENCIES)
	@make -C doc clean

distclean: clean
	rm -f *.log tags

man:
	@$(MAKE) -C doc update-main

help:
	@echo 'Generic targets:'
	@echo ' install         - Install logapp to $(DESTDIR)'
	@echo ' uninstall       - Uninstall logapp from $(DESTDIR)'
	@echo ' clean           - Remove generated files from build directory'
	@echo ''
	@echo 'Build targets:'
	@echo ' all             - Build logapp' 
	@echo ''
	@echo 'Environment variables:'
	@echo ' PREFIX          - Install prefix (default: /usr/local)'
	@echo ' DEBUG_BUILD     - Create debug build (default: 0)'
	@echo ' CROSS_COMPILE   - Use cross compile prefix (default: )'

$(DEPENDENCIES):
	@$(CC) -MM *.c | sed -e 's/\([^\]\)$$/\1 $(EXTRADEPS)/' \
		> $(DEPENDENCIES)

.PHONY: all clean distclean deinstall uninstall install install_links \
	remove_links man

-include $(DEPENDENCIES)

=== doc/Makefile ===
# Makefile for Logapp documentation
#
# Copyright (C) 2007-2009 Michael Brunner <mibru@gmx.de>

HTMLXSL = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/html
MANPAGE = logapp.1
HTMLPAGE = manpage.html
TEXTPAGE = manpage.txt
SOURCEFILE = manpage.xml
MAINMANPAGE = ../$(MANPAGE)
EXTRADEPS = Makefile

all: html text manpage

html: $(HTMLPAGE)
$(HTMLPAGE): $(SOURCEFILE) $(EXTRADEPS)
	xsltproc $(HTMLXSL)/docbook.xsl $(SOURCEFILE) \
		| sed -e "s/&#8722;/-/g" > $(HTMLPAGE)

manpage: $(MANPAGE)
$(MANPAGE): $(SOURCEFILE) $(EXTRADEPS)
	docbook2x-man --to-stdout --encoding "us-ascii" manpage.xml |\
	sed "1,1s/'/./" > $(MANPAGE)

text: $(TEXTPAGE)
$(TEXTPAGE): $(HTMLPAGE) $(EXTRADEPS)
	lynx -dump $(HTMLPAGE) > $(TEXTPAGE)

update-main: manpage $(MAINMANPAGE)
$(MAINMANPAGE): $(MANPAGE)
	install -m 644 $(MANPAGE) $(MAINMANPAGE)

clean:
	rm -f $(MANPAGE) *.log tags *.html *.gz *.txt

distclean: clean

.PHONY: all clean distclean html manpage text update-main

## logapp 0.16

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Makefile for Logapp
 #
-# Copyright (C) 2007-2010 Michael Brunner <mibru@gmx.de>
+# Copyright (C) 2007-2017 Michael Brunner <mibru@gmx.de>
 
 TARGET = logapp
 MANPAGE = logapp.1
-VERSION = 0.15
+VERSION = 0.16
 
 ### Configuration options: ###
 
@@ -16,7 +16,7 @@
 USE_THREADS = 1
 
 # Build static binary
-BUILD_STATIC = 0
+BUILD_STATIC ?= 0
 
 # Add architecture prefix here or use CROSS_COMPILE environment variable to
 # specify a cross compiler
@@ -50,29 +50,43 @@
 DEFS    = -DSVN_REVISION='"$(shell svnversion -cn . 2>/dev/null \
 	| sed -e "s/.*://" -e "s/\([0-9]*\).*/\1/")"' \
 	 -DVERSION='"$(VERSION)"' \
+	 -DDEBUG_BUILD="$(DEBUG_BUILD)" \
 	 -DEXECUTABLE='"$(TARGET)"' \
 	 -DCONFIG_SUPPORT_PTY="$(SUPPORT_PTY)" \
 	 -DCONFIG_USE_THREADS="$(USE_THREADS)"
  
-CFLAGS = -Wall -Wextra $(DEFS)
-
 # Do not optimize code when creating a debug build
 ifeq ($(DEBUG_BUILD),1)
-	CFLAGS += -g
-else
-	CFLAGS += -O2
+	CFLAGS = -g -O0
+	LDFLAGS =
 endif
 
+# Use DPKG default buildflags, on Debian based systems
+DPKG_CFLAGS = $(shell dpkg-buildflags --get CFLAGS 2>/dev/null)
+ifeq "$(DPKG_CFLAGS)" ""
+	CFLAGS ?= -O2
+else
+	CFLAGS ?= $(DPKG_CFLAGS)
+endif
+
+CFLAGS += -Wall -Wextra $(DEFS)
+
 LINK = $(CROSS_COMPILE)gcc
-LINKFLAGS =  
 
 ifeq ($(BUILD_STATIC),1)
-	LINKFLAGS += --static
+	LDFLAGS += --static
 endif
   
+DPKG_LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS 2>/dev/null)
+ifeq "$(DPKG_LDFLAGS)" ""
+	LDFLAGS ?= 
+else
+	LDFLAGS ?= $(DPKG_LDFLAGS)
+endif
+
 # Strip unless we are creating a debug build
 ifneq ($(DEBUG_BUILD),1)
-	LINKFLAGS += -s
+	LDFLAGS += -s
 endif
 
 OBJECTS = main.o configuration.o logfile.o capture.o
@@ -93,7 +107,7 @@
 all: $(DEPENDENCIES) $(TARGET)
 
 $(TARGET): $(OBJECTS)
-	$(LINK) $(LINKFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS)
+	$(LINK) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS)
 
 install: all install_links
 	$(INSTALL) -d $(DESTDIR)
@@ -135,6 +149,7 @@
 	@echo 'Environment variables:'
 	@echo ' PREFIX          - Install prefix (default: /usr/local)'
 	@echo ' DEBUG_BUILD     - Create debug build (default: 0)'
+	@echo ' BUILD_STATIC    - Create static build (default: 0)'
 	@echo ' CROSS_COMPILE   - Use cross compile prefix (default: )'
 
 $(DEPENDENCIES):

=== debian/changelog ===
logapp (0.16-5) unstable; urgency=medium

  * QA Upload
  * Switch to short DH sequencer & compat lever 13

 -- Alexandre Detiste <tchet@debian.org>  Sun, 14 Sep 2025 10:12:19 +0200

logapp (0.16-4) unstable; urgency=medium

  * Orphan package
  * Update standards version (no changes needed)
  * Remove VCS URIs

 -- Kumar Appaiah <akumar@debian.org>  Sun, 31 Aug 2025 21:17:46 +0530

logapp (0.16-3) unstable; urgency=medium

  * Remove need for root when building the package. Patch from Niels
    Thykier (Closes: #1089377)
  * Pass `-n` to `gzip` to aid reproducibility. (Niels Thykier)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 01 Jan 2025 22:08:53 +0530

logapp (0.16-2) unstable; urgency=medium

  * Patch from Chris Lamb: The md5sums file is "manually" generated, and
    its contents were sorted based on the underlying filesystem ordering,
    therefore affecting reproducibility. Sort them using sort(1)
    instead. (Closes: #1010845)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 11 Jan 2023 09:31:52 +0530

logapp (0.16-1) unstable; urgency=medium

  * New upstream release
  * Rework rules for build flags

 -- Kumar Appaiah <akumar@debian.org>  Sun, 09 Feb 2020 11:35:41 +0530

logapp (0.15-1) unstable; urgency=low

  * New upstream release
  * Standards version is now 3.9.1

 -- Kumar Appaiah <akumar@debian.org>  Sun, 20 Feb 2011 21:47:50 -0600

logapp (0.14-3) unstable; urgency=low

  * debian/control, debian/rules: No longer use debhelper.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 21 Dec 2009 17:20:11 -0600

logapp (0.14-2) unstable; urgency=low

  * debian/patches/02makefile_destdir_fix.diff:
    Fix use of CFLAGS to use environment specified ones.
  * Switch to Topgit for patch queue management.

 -- Kumar Appaiah <akumar@debian.org>  Sat, 05 Dec 2009 19:20:46 -0600

logapp (0.14-1) unstable; urgency=low

  * New upstream release
  * Switch to debhelper 7 and quilt
  * Standards Version is now 3.8.3 (No changes needed)
  * Add README.source to describe patch system usage

 -- Kumar Appaiah <akumar@debian.org>  Sun, 13 Sep 2009 01:36:10 -0500

logapp (0.13-1) unstable; urgency=low

  * New upstream release.
  * Standards version is now 3.8.2 (no changes needed).

 -- Kumar Appaiah <akumar@debian.org>  Tue, 14 Jul 2009 12:12:15 -0500

logapp (0.12-1) unstable; urgency=low

  * New upstream release.
  * Standards version is now 3.8.1 (no changes needed).

 -- Kumar Appaiah <akumar@debian.org>  Fri, 08 May 2009 10:41:05 -0500

logapp (0.11-1) unstable; urgency=low

  * New upstream release.

 -- Kumar Appaiah <akumar@debian.org>  Thu, 26 Feb 2009 23:57:01 -0600

logapp (0.10-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Standards version is now 3.8.0 (no change needed.)
  * debian/patches:
    + 01manpage_hyphen_fix.dpatch: Applied upstream.
    + 02makefile_destdir_fix.dpatch: Add description.

 -- Kumar Appaiah <akumar@debian.org>  Sat, 20 Sep 2008 21:22:06 -0500

logapp (0.9-2) unstable; urgency=low

  * debian/control:
    + Update e-mail my address.
    + Update to use new Vcs-* locations.

 -- Kumar Appaiah <akumar@debian.org>  Sun, 20 Apr 2008 15:16:50 +0530

logapp (0.9-1) unstable; urgency=low

  * New upstream release.
  * Update copyright to newly proposed format,
    to allow for machine readability.
  * debian/control:
    + Update standards version to 3.7.3 (no changes needed).

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sun, 23 Mar 2008 16:20:06 +0530

logapp (0.8-1) unstable; urgency=low

  * New upstream release

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Mon, 08 Oct 2007 10:37:33 +0530

logapp (0.7-1) unstable; urgency=low

  * Initial release. (Closes: #436195)
  * Added 01manpage_hyphen_fix.dpatch to ensure hyphens aren't used as minus signs.
  * Added 02makefile_destdir_fix.dpatch to install to the right directory.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Thu, 16 Aug 2007 17:08:01 +0530

=== debian/control ===
Source: logapp
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: http://logapp.sourceforge.net/

Package: logapp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: supervise execution of applications producing heavy output
 Logapp is a wrapper utility that helps supervise the execution of
 applications that produce heavy console output (e.g. make, CVS and
 Subversion). It does this by logging, trimming, and coloring each
 line of the output before displaying it. It can be called instead of
 the executable that should be monitored; it then starts the
 application and logs all of its console output to a file. The output
 shown in the terminal is preprocessed, e.g. to limit the length of
 printed lines and to show the stderr output in a different color. It
 is also possible to automatically highlight lines that match a
 certain regular expression. The output is therefore reduced to the
 necessary amount, and all important lines are easy to identify.

=== debian/watch ===
version=4
http://sf.net/logapp/logapp-(.*)\.tar\.gz
